"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useRouter = void 0;
var react_1 = require("react");
exports.useRouter = function (router) {
    var _a = react_1.useState(router.currentRoute), currentRoute = _a[0], setCurrentRoute = _a[1];
    var _b = react_1.useState(router.params), params = _b[0], setParams = _b[1];
    react_1.useEffect(function () {
        var changeListener = function (_a) {
            var currentRoute = _a.currentRoute, params = _a.params;
            setCurrentRoute(currentRoute);
            setParams(params);
        };
        router.addChangeListener(changeListener);
        return function () { return router.removeChangeListener(changeListener); };
    }, []);
    return { currentRoute: currentRoute, params: params };
};
